Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.floating.frames
Class FrameDragListener

    java.lang.Object
      org.flexdock.docking.floating.frames.FrameDragListener

All Implemented Interfaces:
  MouseListener, MouseMotionListener, EventListener

    public class FrameDragListener

extends Object
implements MouseListener, MouseMotionListener

Author:
  Christopher Butler

Constructor Summary
`FrameDragListener(DockingFrame frame)`

Method Summary
`boolean` | `isEnabled()`
`void` | `mouseClicked(MouseEvent e)`
`void` | `mouseDragged(MouseEvent e)`
`void` | `mouseEntered(MouseEvent e)`
`void` | `mouseExited(MouseEvent e)`
`void` | `mouseMoved(MouseEvent e)`
`void` | `mousePressed(MouseEvent e)`
`void` | `mouseReleased(MouseEvent e)`
`void` | `setEnabled(boolean enabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrameDragListener

    public FrameDragListener(DockingFrame frame)

Method Detail

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

### mousePressed

    public void mousePressed(MouseEvent e)

  Specified by:
    `mousePressed` in interface `MouseListener`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Specified by:
    `mouseClicked` in interface `MouseListener`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Specified by:
    `mouseEntered` in interface `MouseListener`

### mouseExited

    public void mouseExited(MouseEvent e)

  Specified by:
    `mouseExited` in interface `MouseListener`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Specified by:
    `mouseReleased` in interface `MouseListener`

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD